from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFormulaQuery(XInterface, Protocol):
    def queryDependents(self, bRecursive: bool) -> XSheetCellRanges: ...
    def queryPrecedents(self, bRecursive: bool) -> XSheetCellRanges: ...
